@import url("https://fonts.googleapis.com/css2?family=Anton&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Anton", sans-serif;
}

body {
  background: radial-gradient(circle at center, #0a0a0a 0%, #050505 100%);
  color: #00ff00;
  font-family: "Arial", sans-serif;
  background-color: #4e4e4d;
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  -webkit-user-select: none; /* Safari support */
  -webkit-user-select: none; /* Safari support */
  -webkit-user-select: none; /* Safari support */
  -webkit-user-select: none; /* Safari support */
  -webkit-user-select: none; /* Safari support */
  -webkit-user-select: none; /* Safari support */
  user-select: none; /* evita selección de texto al arrastrar */
}

header {
  margin-top: auto;
  text-align: center;
  margin-bottom: 20px;
}

header h1 {
  font-size: 2.5rem;
  letter-spacing: 0.15em;
  color: #00ff00;
  text-shadow: 0 0 5px #00ff00;
  text-transform: uppercase;
  margin-top: 1rem;
}

h1, h2, h3 {
  margin-top: auto;
  font-family: "Major Mono Display", monospace;
}

h1 {
  color: #d4d0d0;
}

h2 {
  color: #ebe0e0;
}

h3 {
  text-align: center;
  color: #e9dede;
}

/* CONTENEDOR DEL MAPA */
#map-container {
  margin-top: 50px;
  margin-bottom: auto;

  width: 900px;
  height: 600px;

  border: 1px solid #696767;
  border-radius: 8px;
  overflow: hidden;

  cursor: grab;
  position: relative;
  touch-action: none; /* para touch pan/zoom */
}

#map-container.grabbing {
  cursor: grabbing;
}

/* SVG DEL MAPA */
#world-map {
  width: 100%;
  height: 100%;
  display: block;
  transform-origin: 0 0;
  user-select:none;
}

/* PATHS DEL MAPA */
path {
  fill: #0f0f0f;
  stroke: #00ff00;
  stroke-width: 0.8;
  transition: fill 0.3s;
  cursor: pointer;
}

path:hover {
  fill: rgb(16, 219, 16);
}

/* INFO DEL PAÍS */
#country-info {
  font-family: "Major Mono Display", monospace;
  color: #00ff00;
  font-size: 1.3rem;
  padding: 1rem;
  border: 2px dashed #00ff00;
  background-color: #111;
  width: 60%;
  margin: 2rem auto;
  text-align: center;
}

/* ANIMACIÓN PULSO */
@keyframes pulse {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.6;
  }
  100% {
    transform: translate(-50%, -50%) scale(1.5);
    opacity: 0;
  }
}

/* FORMATO SELECT */
.date-hour-format select {
  padding: 0.5rem;
  margin: 0.5rem;
  background-color: #111;
  color: rgb(35, 184, 35);
  border: 1px solid #0f0;
  font-family: 'Major Mono Display', monospace;
}

/* RADAR ANIMADO */
.radar {
  position: absolute;
  width: 100px;
  height: 100px;
  border: 2px solid rgba(0, 255, 0, 0.3);
  border-radius: 50%;
  animation: rotateRadar 2s linear infinite;
  box-shadow: 0 0 15px rgba(0, 255, 0, 0.4);
  z-index: 1;
}

@keyframes rotateRadar {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* RELOJ DIGITAL */
.clock {
  margin-top: auto;
  margin-bottom: auto;
  position: relative;
  display: flex;
  gap: 20px;
}

.clock .digital {
  background: #171817;
  border: 2px solid #161616;
  box-shadow: 0 0 10px #13d413;
  padding: 1rem;
  margin: 1rem;
  font-size: 1rem;
  color: #00ff00;

  position: relative;
  width: 120px;
  height: 120px;
  display: flex;
  justify-content: center;
  align-items: center;

  border-radius: 30px;
  box-shadow: 20px 20px 20px -10px rgba(21, 175, 41, 0.15),
    inset 15px 15px 10px rgba(148, 148, 148, 0.5),
    -15px -15px 35px rgba(94, 170, 59, 0.5),
    -15px -15px 35px rgba(53, 202, 140, 0.35),
    inset -1px -1px 10px rgba(0, 0, 0, 0.2);
}

.clock .digital .screen {
  position: absolute;
  inset: 20px;
  background-color: #222427;
  border-radius: 20px;
  box-shadow: 5px 5px 15px 0 #26282c66,
    inset 5px 5px 5px rgba(26, 179, 77, 0.35),
    -6px -6px 10px rgb(86, 192, 54);
}

.clock .digital .screen::before {
  content: attr(data-text);
  position: absolute;
  bottom: -21px;
  left: 50%;
  transform: translateX(-50%) scale(0.75);
  letter-spacing: 0.1em;
  color: #333;
  text-transform: uppercase;
}

.clock .digital .time {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.clock .digital .time div {
  position: relative;
  font-size: 2.9em;
  color: var(--clr);
  letter-spacing: 0.1em;
  margin-left: 0.1em;
}

.clock .digital:nth-last-child(2) .time div {
  color: transparent;
  -webkit-text-stroke: 2px var(--clr);
}

.clock .digital:last-child::before {
  content: "";
  position: absolute;
  width: 4px;
  height: 4px;
  background-color: #616974;
  border: 2px solid #6e6d6d;
  z-index: 100000;
  border-radius: 50%;
}

.clock .digital:last-child::after {
  content: "";
  position: absolute;
  inset: 20px;
  background: #2b2c2e;
  border-radius: 50%;
  box-shadow: 5px 5px 15px 0 #39393a66,
    inset 5px 5px 5px rgba(255, 255, 255, 0.35),
    -6px 6px 10px rgb(128, 126, 126);
}

.box {
  position: absolute;
  inset: 0;
  border-radius: 50%;
  z-index: 1000;
}

.box::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 50%;
  transform: translateX(-50%);
  width: 2px;
  height: 30px;
  background: var(--clr);
  border-radius: 4px;
}

.box:nth-child(1):after {
  height: 20px;
  width: 4px;
}

.box:nth-child(2):after {
  height: 25px;
  width: 3px;
}

#ampm {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%) scale(0.75);
  color: #143f23;
  letter-spacing: 0.1em;
  stroke: #00ff00;
}
